Discourse 安装或者编译的时候提示 github 不能被解析

Discourse 安装或者重新编译的时候提示 github 不能被解析。

提示的是 DNS 错误。

具体的提示是:

fatal: unable to access 'https://github.com/discourse/pups.git/': Could not resolv

 


这个有可能是你服务器的防火墙的问题。

有可能会出现防火墙封闭了你需要的端口

你可以尝试打开下 docker 的端口或者先停用防火墙看看是不是防火墙的问题。

可以运行下面的命令:

firewall-cmd --permanent --zone=trusted --add-interface=docker0
firewall-cmd --permanent --zone=trusted --add-port=4243/tcp

另一个办法是运行:

netstat -ntlp | grep LISTEN

命令,看有那个端口是在监听的。将正在监听的端口也要打开。

[[email protected] discourse]# netstat -ntlp | grep LISTEN
tcp        0      0 0.0.0.0:22              0.0.0.0:*               LISTEN      681/sshd            
tcp6       0      0 :::9090                 :::*                    LISTEN      1/systemd           
tcp6       0      0 :::80                   :::*                    LISTEN      26270/docker-proxy  
tcp6       0      0 :::22                   :::*                    LISTEN      681/sshd            
tcp6       0      0 :::443                  :::*                    LISTEN      26259/docker-proxy

例如上面命令的我们的输入,你则需要打开 9090 端口。

https://www.cwiki.us/display/CWIKIKB/questions/62620071

您可以在保留原文链接的情况下转载:HoneyMoose » Discourse 安装或者编译的时候提示 github 不能被解析

赞 (0) 打赏

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏